﻿@model Tuple<List<ARGNSPDCLine>,PDCSAPCombo>
<div id="TableLines">
    <table class="table table-striped">
        <thead>
            <tr>
                <th>&nbsp;</th>
                <th><strong>@PDC.BC</strong></th>
                <th><strong>@PDC.CT</strong></th>
                <th><strong>@PDC.MC</strong></th>
                <th><strong>Color</strong></th>
                <th><strong>@PDC.Scale</strong></th>
                <th><strong>@PDC.Size</strong></th>
                <th><strong>Variable</strong></th>
                <th><strong>@PDC.WC</strong></th>
                <th><strong>@PDC.Resource</strong></th>
                <th><strong>@PDC.Stage</strong></th>
                <th><strong>@PDC.OC</strong></th>
                <th><strong>@PDC.Qty</strong></th>
                <th><strong>@PDC.BQ</strong></th>
            </tr>
        </thead>
        <tbody>
            @{
                int counter = 0;
                foreach (ARGNSPDCLine item in Model.Item1)
                {
                    if (item.LineId == null)
                    {
                        item.LineId = counter.ToString();
                    }
                    string mTrId = "tr" + item.LineId;
                    string mCB = "cb" + item.LineId;
                    string mCT = "ct" + item.LineId;
                    string mMC = "mc" + item.LineId;
                    string mColor = "color" + item.LineId;
                    string mScale = "scale" + item.LineId;
                    string mSize = "size" + item.LineId;
                    string mVariable = "variable" + item.LineId;
                    string mWC = "wc" + item.LineId;
                    string mResource = "resource" + item.LineId;
                    string mStage = "stage" + item.LineId;
                    string mOC = "oc" + item.LineId;
                    string mQty = "qty" + item.LineId;
                    string mBQ = "bq" + item.LineId;
                    <tr id='@mTrId'>
                        <td>
                            <button onclick="DeleteRow('@item.LineId')" type="button" class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-trash"></span>@PurchaseOrders.Delete</button>
                            <input type="hidden" id="@item.LineId" value="@item.LineId" />
                        </td>
                        <td><input id='@mCB' type="number" class="form-control minWidthPDC2" value='@item.U_CodeBars' /></td>
                        <td><input id='@mCT' class="form-control" value='@item.U_ProdOrd' /></td>
                        <td><input id='@mMC' class="form-control minWidthPDC1" value='@item.U_Model' disabled="disabled" /></td>
                        <td><input id='@mColor' class="form-control minWidthPDC1" value='@item.U_Color' disabled="disabled" /></td>
                        <td><input id='@mScale' class="form-control minWidthPDC1" value='@item.U_Scale' disabled="disabled" /></td>
                        <td><input id='@mSize' class="form-control minWidthPDC1" value='@item.U_Size' disabled="disabled" /></td>
                        <td><input id='@mVariable' class="form-control minWidthPDC1" value='@item.U_Variable' disabled="disabled" /></td>
                        <td>
                            @Html.DropDownList(mWC, new SelectList(Model.Item2.ListWorkCenter, "Code", "Name", item.U_WorkCtr), new { @Id = mWC, @class = "form-control minWidthPDC2" })
                        </td>
                        <td><input id='@mResource' class="form-control minWidthPDC1" value='@item.U_ResName' disabled="disabled" /></td>
                        <td><input id='@mStage' class="form-control minWidthPDC1" value='@item.U_Stage' disabled="disabled" /></td>
                        <td><input id='@mOC' class="form-control minWidthPDC1" value='@item.U_OperCode' disabled="disabled" /></td>
                        <td><input id='@mQty' class="form-control minWidthPDC1" value='@item.U_Qty' /></td>
                        <td><input id='@mBQ' class="form-control minWidthPDC1" value='@item.U_BadQty' /></td>
                    </tr>
                    
                    counter++;
                }          
                }
        </tbody>
    </table>
</div>
